<?php

if (!function_exists('ab_posted_on')) :
	function ab_posted_on() { ?>
		
		<span class="byline"><?php _e('Posted by', 'ab-folio'); ?>
            <span class="author vcard">
                <a class="url fn n" href="<?php esc_url(the_author_meta('url')); ?>">
                	<?php echo get_the_author(); ?>
                </a>
            </span>
        </span>

        <span class="posted-on"><?php _e('on', 'ab-folio'); ?>
            <?php printf('<time class="entry-date published" datetime="%1$s">%2$s</time>',
                esc_attr(get_the_date('c')),
                esc_html(get_the_date()));
            ?>
        </span>

        <?php
	}
endif;

if (!function_exists('ab_entry_footer')) :
	function ab_entry_footer() {
		
		if ('post' == get_post_type()) {
			$categories_list = get_the_category_list(__(', ', 'ab-folio'));
			if ($categories_list) {
				printf('<span class="cat-links">' . __('Posted in %1$s', 'ab-folio') . '</span>', $categories_list);
			}

			$tags_list = get_the_tag_list('', __(', ', 'ab-folio'));
			if ($tags_list) {
				printf('<span class="tags-links">' . __('Tagged %1$s', 'ab-folio') . '</span>', $tags_list);
			}
		}

		if (!is_single() && ! post_password_required() && (comments_open() || get_comments_number())) {
			echo '<span class="comments-link">';
			comments_popup_link(__('Leave a comment', 'ab-folio'), __('1 Comment', 'ab-folio'), __('% Comments', 'ab-folio'));
			echo '</span>';
		}

	}
endif;

if(!function_exists('ab_post_navigation')) :
	function ab_post_navigation() {
		
	    $previous = (is_attachment()) ? get_post(get_post()->post_parent) : get_adjacent_post(false, '', true);
	    $next     = get_adjacent_post(false, '', false);
	    if(!$next && !$previous) { return; } ?>

	    <nav class="navigation post-navigation" role="navigation">
	        <div class="nav-links">

	            <?php
	            previous_post_link('%link', '&larr; Previous', 'ab-folio');
	            next_post_link('%link', 'Next &rarr;', 'ab-folio');
	            ?>

	        </div>
	    </nav>

	    <?php
	}
endif;

function ab_category_transient_flusher() {
	if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) {
		return;
	}
	delete_transient('ab_categories');
}
add_action('edit_category', 'ab_category_transient_flusher');
add_action('save_post',     'ab_category_transient_flusher');