<?php
/**
 * Template Name: Portfolio
**/
get_header();
?>

<div class="wrapper" id="page-wrapper">

    <header class="entry-header">
        <div class="container">
            <?php the_title('<h1 class="entry-title">', '</h1>'); ?>
        </div>
    </header>

    <div id="content" class="container">
        <div class="row">
    	    <div id="primary" class="col-md-12 content-area">
                <main id="main" class="site-main" role="main">

                    <?php
                    $args = array('post_type' => 'jetpack-portfolio');
					$works = new WP_Query($args);

					if($works->have_posts()) {
						
						$terms = get_terms('jetpack-portfolio-type'); ?>
						
						<ul class="portfolio-categories">
							<li data-type="all"><?php _e('All', 'ab-folio'); ?></li>
						
							<?php
							foreach($terms as $term) {
								echo '<li data-type="' . $term->slug . '">' . $term->name . '</li>';
							}
							?>

						</ul>

						<div class="row portfolio-items">

							<?php
							while($works->have_posts()) : $works->the_post(); ?>

								<div class="item col-md-3 col-sm-6 postid-<?php the_ID(); ?>" data-filter="all <?php ab_getPortfolioItemCategories('slug'); ?>">
									<div class="card">
										<div class="categories">
											<?php ab_getPortfolioItemCategories('name'); ?>
										</div>
										<a href=<?php the_permalink(); ?> title="<?php the_title(); ?>">
										<?php the_post_thumbnail('', array('class' => 'img-fluid')); ?>
										</a>
										<div class="card-block">
											<a href=<?php the_permalink(); ?> title="<?php the_title(); ?>">
												<?php the_title(); ?>
											</a>
										</div>
									</div>
								</div>

								<?php
							endwhile;
							?>

						</div>

						<?php wp_reset_postdata();
						
					} else { ?>
						<h3><?php _e('Your portfolio is empty :&#40;', 'ab-folio'); ?></h3>
						<p><?php _e('Don\'t get discouraged, try creating some portfolio items then you can return on this page.', 'ab-folio'); ?></p>
						<?php
					}
                    ?>

                </main>
    	    </div>
        </div>
    </div>

</div>

<?php get_footer(); ?>